<?php
require_once '../../../../wp-load.php';

header( 'Content-type: text/css' );

$table = $wpdb->prefix . 'options';
$css_like   = $wpdb->esc_like( 'lbs_css_' ) . '%';
$css_query = $wpdb->prepare( 'SELECT * FROM %1s WHERE option_name like %s', array( $table, $css_like ) );
$css_result = $wpdb->get_results( $css_query, ARRAY_A );

if ( $css_result ) {
	foreach ( $css_result as $c ) {
		$css_options[ $c['option_name'] ] = $c['option_value'];
	}
} else {
	$css_options = lbs_set_defaults( 'css' );
}

?>
/*
	User-editable styles
*/

.bookshelf {
<?php
	echo "\tmargin-top: " . $css_options['lbs_css_bookshelf_margin_top'] . ";\n";
	$margin = $css_options['lbs_css_bookshelf_margin_side'];
	echo "\tmargin-left: " . $margin . ";\n";
	echo "\tmargin-right: " . $margin . ";\n";
	echo "\tmargin-bottom: " . $css_options['lbs_css_bookshelf_margin_bottom'] . ";\n";
?>
}

.bookshelf .slick-slide img {
<?php
	if ( isset( $css_options['lbs_css_bookshelf_image_border_radius'] ) ) {
		echo "\tborder-radius: " . $css_options['lbs_css_bookshelf_image_border_radius'] . ";\n";
	}
	if ( isset( $css_options['lbs_css_bookshelf_image_alignment'] ) ) {
		echo "\tvertical-align: " . $css_options['lbs_css_bookshelf_image_alignment'] . ";\n";
	}
	if ( isset( $css_options['lbs_css_bookshelf_image_box_shadow_offset_h'] ) ) {
	echo "\tbox-shadow: " . $css_options['lbs_css_bookshelf_image_box_shadow_offset_h'] . " " . $css_options['lbs_css_bookshelf_image_box_shadow_offset_v'] . " " . $css_options['lbs_css_bookshelf_image_box_shadow_blur'] . " " . $css_options['lbs_css_bookshelf_image_box_shadow_spread'] . " " . $css_options['lbs_css_bookshelf_image_box_shadow_color'] . ";\n";
	}
?>	
}

.bookshelf .overlay, .bookshelf .overlay-grid {
<?php
	if ( isset( $css_options['lbs_css_caption_overlay_font_color'] ) ) {
		echo "\tcolor: " . $css_options['lbs_css_caption_overlay_font_color'] . ";\n";
	}
	if ( isset( $css_options['lbs_css_caption_overlay_background_color'] ) && isset( $css_options['lbs_css_caption_overlay_background_opacity'] ) ) {
		// Convert hex color to RGB
		list( $r, $g, $b ) = sscanf( $css_options['lbs_css_caption_overlay_background_color'], "#%02x%02x%02x" );
		echo "\tbackground-color: rgba(" . $r . "," . $g . "," . $b . "," . $css_options['lbs_css_caption_overlay_background_opacity'] . ");\n";
	}
	if ( isset( $css_options['lbs_css_bookshelf_image_border_radius'] ) ) {
		echo "\tborder-radius: " . $css_options['lbs_css_bookshelf_image_border_radius'] . ";\n";
	}
?>
}

.bookshelf .slick-slide p {
<?php
	if ( isset( $css_options['lbs_css_caption_font_color'] ) ) {
		echo "\tcolor: " . $css_options['lbs_css_caption_font_color'] . ";\n";
	}
	if ( isset( $css_options['lbs_css_caption_font_size'] ) ) {
		echo "\tfont-size: " . $css_options['lbs_css_caption_font_size'] . ";\n";
	}
	if ( isset( $css_options['lbs_css_caption_max_lines'] ) ) {
		echo "\t-webkit-line-clamp: " . $css_options['lbs_css_caption_max_lines'] . ";\n";
	}
?>
}

.bookshelf .slick-arrow::before {
<?php
	echo "\tcolor: " . $css_options['lbs_css_arrow_color'] . ";\n";
	echo "\tfont-size: " . $css_options['lbs_css_arrow_size'] . ";\n";
?>
}

.bookshelf .slick-prev {
<?php echo "\tleft: " . $css_options['lbs_css_arrow_distance'] . " !important;\n"; ?>
}

.bookshelf .slick-next {
<?php echo "\tright: " . $css_options['lbs_css_arrow_distance'] . " !important;\n"; ?>
}

.bookshelf .slick-dots {
<?php echo "\tbottom: " . $css_options['lbs_css_dots_bottom_offset'] . " !important;\n"; ?>
}

.bookshelf .slick-dots li button::before, .bookshelf .slick-dots li.slick-active button::before {
<?php echo "\tcolor: " . $css_options['lbs_css_dot_color'] . ";\n"; ?>
}
